Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		vde2
#Epoch:		0
Version:	2.3.1
Release:	1
License:	GNU/GPL
URL:		http://sourceforge.net/projects/vde/
Group:		Emulators
Summary:	Virtual Distributed Ethernet
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:
Patch0:		vde2-2.2.2-gcc4_include_limits.patch

# Requires:

# BuildRequires:
BuildRequires: libpcap-devel
BuildRequires: libpcap

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: openssl-devel

%description
VDE: Virtual Distributed Ethernet. It creates the abstraction of a virtual ethernet: a single vde can be accessed by virtual and real computers.


%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--libexecdir=%_libdir/%{name} \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/vde2
%{_bindir}/dpipe
%{_bindir}/slirpvde
%{_bindir}/unixcmd
%{_bindir}/unixterm
%{_bindir}/vde_autolink
%{_bindir}/vdecmd
%{_bindir}/vde_cryptcab
%{_bindir}/vdekvm
%{_bindir}/vde_l3
%{_bindir}/vde_over_ns
%{_bindir}/vde_pcapplug
%{_bindir}/vde_plug
%{_bindir}/vde_plug2tap
%{_bindir}/vdeq
%{_bindir}/vdeqemu
%{_bindir}/vde_switch
%{_bindir}/vdeterm
%{_bindir}/wirefilter
%{_libdir}/libvdehist.so.*
%{_libdir}/libvdemgmt.so.*
%{_libdir}/libvdeplug.so.*
%{_libdir}/libvdesnmp.so.*
%{_libdir}/vde2
%{_sbindir}/vde_tunctl
%{_mandir}/man1/dpipe.1.gz
%{_mandir}/man1/slirpvde.1.gz
%{_mandir}/man1/unixcmd.1.gz
%{_mandir}/man1/unixterm.1.gz
%{_mandir}/man1/vde_autolink.1.gz
%{_mandir}/man1/vdecmd.1.gz
%{_mandir}/man1/vde_cryptcab.1.gz
%{_mandir}/man1/vdekvm.1.gz
%{_mandir}/man1/vde_l3.1.gz
%{_mandir}/man1/vde_over_ns.1.gz
%{_mandir}/man1/vde_pcapplug.1.gz
%{_mandir}/man1/vde_plug.1.gz
%{_mandir}/man1/vde_plug2tap.1.gz
%{_mandir}/man1/vdeq.1.gz
%{_mandir}/man1/vdeqemu.1.gz
%{_mandir}/man1/vde_switch.1.gz
%{_mandir}/man1/vdetaplib.1.gz
%{_mandir}/man1/vdeterm.1.gz
%{_mandir}/man1/wirefilter.1.gz
%{_mandir}/man8/vde_tunctl.8.gz

%files devel
%defattr(-,root,root)
%{_includedir}/libvdehist.h
%{_includedir}/libvdemgmt.h
%{_includedir}/libvdeplug_dyn.h
%{_includedir}/libvdeplug.h
%{_includedir}/libvdesnmp.h
%{_libdir}/libvdehist.a
%{_libdir}/libvdehist.la
%{_libdir}/libvdehist.so
%{_libdir}/libvdemgmt.a
%{_libdir}/libvdemgmt.la
%{_libdir}/libvdemgmt.so
%{_libdir}/libvdeplug.a
%{_libdir}/libvdeplug.la
%{_libdir}/libvdeplug.so
%{_libdir}/libvdesnmp.a
%{_libdir}/libvdesnmp.la
%{_libdir}/libvdesnmp.so
%{_pkgconfig}/vdehist.pc
%{_pkgconfig}/vdemgmt.pc
%{_pkgconfig}/vdeplug.pc
%{_pkgconfig}/vdesnmp.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-1
- Version update
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 2.2.2-2
- moved libexecdir
* Thu Mar 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-1
- initial CCux package release
